LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XStyleSettings Interface Reference

provides access to certain style settings within an OpenOffice.org component, such as a window, or within OpenOffice.org as a whole. More...

`import"XStyleSettings.idl";`

## Public Member Functions
void | addStyleChangeListener ([in] XStyleChangeListener Listener)
| registers a listener to be notified when the style settings change More...
void | removeStyleChangeListener ([in] XStyleChangeListener Listener)
| registers a listener to be notified when the style settings change More...

## Public Attributes
::com::sun::star::util::Color | ActiveBorderColor
| specifies the color of the border of active windows More...
::com::sun::star::util::Color | ActiveColor
::com::sun::star::util::Color | ActiveTabColor
| specifies the color of the active tab of a tab control More...
::com::sun::star::util::Color | ActiveTextColor
| specifies the text color for active UI components More...
::com::sun::star::util::Color | ButtonRolloverTextColor
| specifies the color to use for text on buttons which are hovered with the mouse More...
::com::sun::star::util::Color | ButtonTextColor
| specifies the color to use for text on buttons More...
::com::sun::star::util::Color | CheckedColor
::com::sun::star::util::Color | DarkShadowColor
| specifies the dark portion of the shadow to use for UI elements More...
::com::sun::star::util::Color | DeactiveBorderColor
| specifies the color of the border of inactive windows More...
::com::sun::star::util::Color | DeactiveColor
::com::sun::star::util::Color | DeactiveTextColor
| specifies the text color for inactive UI components More...
::com::sun::star::util::Color | DialogColor
| specifies the background color of dialogs More...
::com::sun::star::util::Color | DialogTextColor
| specifies the text color of dialogs More...
::com::sun::star::util::Color | DisableColor
| specifies the text color for disabled UI elements More...
::com::sun::star::util::Color | FaceColor
::com::sun::star::util::Color | FaceGradientColor
::com::sun::star::util::Color | FieldColor
| specifies the background color for dialog input controls More...
::com::sun::star::util::Color | FieldRolloverTextColor
| specifies the text color for dialog input controls which are hovered with the mouse More...
::com::sun::star::util::Color | FieldTextColor
| specifies the text color for dialog input controls More...
::com::sun::star::util::Color | GroupTextColor
| specifies the text color for dialog elements used for grouping other elements More...
::com::sun::star::util::Color | HelpColor
| specifies the background color for dialog elements displaying help content More...
::com::sun::star::util::Color | HelpTextColor
| specifies the text color for dialog elements displaying help content More...
::com::sun::star::util::Color | HighlightColor
| specifies the background color for UI elements which are highlighted More...
::com::sun::star::util::Color | HighlightTextColor
| specifies the text color for UI elements which are highlighted More...
::com::sun::star::util::Color | InactiveTabColor
| specifies the color of inactive tabs of a tab control More...
::com::sun::star::util::Color | LabelTextColor
| specifies the text color of label elements in dialogs More...
::com::sun::star::util::Color | LightColor
::com::sun::star::util::Color | MenuBarColor
| specifies the background color of menu bars More...
::com::sun::star::util::Color | MenuBarTextColor
| specifies the text color of menu bars More...
::com::sun::star::util::Color | MenuBorderColor
| specifies the border color of menus More...
::com::sun::star::util::Color | MenuColor
::com::sun::star::util::Color | MenuHighlightColor
| specifies the background color of highlighted menu items More...
::com::sun::star::util::Color | MenuHighlightTextColor
| specifies the text color of highlighted menu items More...
::com::sun::star::util::Color | MenuTextColor
::com::sun::star::util::Color | MonoColor
| specifies the color to use for monochrome control elements such as flat borders of controls More...
::com::sun::star::util::Color | RadioCheckTextColor
| specifies the text color of radio buttons and check boxes More...
::com::sun::star::util::Color | SeparatorColor
| specifies the color of separators between UI elements More...
::com::sun::star::util::Color | ShadowColor
| specifies the color to use for UI elements More...
::com::sun::star::util::Color | WindowColor
| specifies the background color to use for non-dialog windows More...
::com::sun::star::util::Color | WindowTextColor
| specifies the text color to use for non-dialog windows More...
::com::sun::star::util::Color | WorkspaceColor
| specifies the background color to use for document workspaces More...
boolean | HighContrastMode
| controls whether the an UI component should use a high-contrast mode More...
FontDescriptor | ApplicationFont
| specifies the application font More...
FontDescriptor | HelpFont
| specifies the help font More...
FontDescriptor | TitleFont
| specifies the font to use for window titles More...
FontDescriptor | FloatTitleFont
| specifies the font to use the title of floating windows More...
FontDescriptor | MenuFont
| specifies the font to use for menus More...
FontDescriptor | ToolFont
| specifies the font to use for tool elements More...
FontDescriptor | GroupFont
| specifies the font for dialog elements used for grouping other elements More...
FontDescriptor | LabelFont
| specifies the font for label controls More...
FontDescriptor | RadioCheckFont
| specifies the font of radio buttons and check boxes More...
FontDescriptor | PushButtonFont
| specifies the font of push buttons More...
FontDescriptor | FieldFont
| specifies the font for dialog input controls More...

## Detailed Description

provides access to certain style settings within an OpenOffice.org component, such as a window, or within OpenOffice.org as a whole.

Note that there are constraints for those settings. For instance, if controls are drawn with the native widget framework, i.e. in the desktop theme's look, then they won't necessarily respect all their style settings, because those have a lesser priority than the native look.

On the other hand, some settings are respected only when rendering the controls in the native desktop/theme look. For instance, without native theming, buttons do not support a "roll over" mode, i.e., they're painted the same way, no matter if they mouse hovers over them or not. But with native theming, this changes, as here the general button look is drawn by the system's theming engine, while the text is drawn by OpenOffice.org. In this case, the button respects the `ButtonRolloverTextColor` when painting its text.

## Member Function Documentation

## ◆ addStyleChangeListener()

void addStyleChangeListener | ( | [in] XStyleChangeListener | Listener | ) |

registers a listener to be notified when the style settings change

## ◆ removeStyleChangeListener()

void removeStyleChangeListener | ( | [in] XStyleChangeListener | Listener | ) |

registers a listener to be notified when the style settings change

## Member Data Documentation

## ◆ ActiveBorderColor

::com::sun::star::util::Color ActiveBorderColor
| attribute

specifies the color of the border of active windows

## ◆ ActiveColor

::com::sun::star::util::Color ActiveColor
| attribute

## ◆ ActiveTabColor

::com::sun::star::util::Color ActiveTabColor
| attribute

specifies the color of the active tab of a tab control

## ◆ ActiveTextColor

::com::sun::star::util::Color ActiveTextColor
| attribute

specifies the text color for active UI components

## ◆ ApplicationFont

FontDescriptor ApplicationFont
| attribute

specifies the application font

## ◆ ButtonRolloverTextColor

::com::sun::star::util::Color ButtonRolloverTextColor
| attribute

specifies the color to use for text on buttons which are hovered with the mouse

## ◆ ButtonTextColor

::com::sun::star::util::Color ButtonTextColor
| attribute

specifies the color to use for text on buttons

## ◆ CheckedColor

::com::sun::star::util::Color CheckedColor
| attribute

## ◆ DarkShadowColor

::com::sun::star::util::Color DarkShadowColor
| attribute

specifies the dark portion of the shadow to use for UI elements

## ◆ DeactiveBorderColor

::com::sun::star::util::Color DeactiveBorderColor
| attribute

specifies the color of the border of inactive windows

## ◆ DeactiveColor

::com::sun::star::util::Color DeactiveColor
| attribute

## ◆ DeactiveTextColor

::com::sun::star::util::Color DeactiveTextColor
| attribute

specifies the text color for inactive UI components

## ◆ DialogColor

::com::sun::star::util::Color DialogColor
| attribute

specifies the background color of dialogs

## ◆ DialogTextColor

::com::sun::star::util::Color DialogTextColor
| attribute

specifies the text color of dialogs

## ◆ DisableColor

::com::sun::star::util::Color DisableColor
| attribute

specifies the text color for disabled UI elements

## ◆ FaceColor

::com::sun::star::util::Color FaceColor
| attribute

## ◆ FaceGradientColor

::com::sun::star::util::Color FaceGradientColor
| attribute readonly

## ◆ FieldColor

::com::sun::star::util::Color FieldColor
| attribute

specifies the background color for dialog input controls

## ◆ FieldFont

FontDescriptor FieldFont
| attribute

specifies the font for dialog input controls

## ◆ FieldRolloverTextColor

::com::sun::star::util::Color FieldRolloverTextColor
| attribute

specifies the text color for dialog input controls which are hovered with the mouse

## ◆ FieldTextColor

::com::sun::star::util::Color FieldTextColor
| attribute

specifies the text color for dialog input controls

## ◆ FloatTitleFont

FontDescriptor FloatTitleFont
| attribute

specifies the font to use the title of floating windows

## ◆ GroupFont

FontDescriptor GroupFont
| attribute

specifies the font for dialog elements used for grouping other elements

## ◆ GroupTextColor

::com::sun::star::util::Color GroupTextColor
| attribute

specifies the text color for dialog elements used for grouping other elements

## ◆ HelpColor

::com::sun::star::util::Color HelpColor
| attribute

specifies the background color for dialog elements displaying help content

## ◆ HelpFont

FontDescriptor HelpFont
| attribute

specifies the help font

## ◆ HelpTextColor

::com::sun::star::util::Color HelpTextColor
| attribute

specifies the text color for dialog elements displaying help content

## ◆ HighContrastMode

boolean HighContrastMode
| attribute

controls whether the an UI component should use a high-contrast mode

## ◆ HighlightColor

::com::sun::star::util::Color HighlightColor
| attribute

specifies the background color for UI elements which are highlighted

## ◆ HighlightTextColor

::com::sun::star::util::Color HighlightTextColor
| attribute

specifies the text color for UI elements which are highlighted

## ◆ InactiveTabColor

::com::sun::star::util::Color InactiveTabColor
| attribute

specifies the color of inactive tabs of a tab control

## ◆ LabelFont

FontDescriptor LabelFont
| attribute

specifies the font for label controls

## ◆ LabelTextColor

::com::sun::star::util::Color LabelTextColor
| attribute

specifies the text color of label elements in dialogs

## ◆ LightColor

::com::sun::star::util::Color LightColor
| attribute

## ◆ MenuBarColor

::com::sun::star::util::Color MenuBarColor
| attribute

specifies the background color of menu bars

## ◆ MenuBarTextColor

::com::sun::star::util::Color MenuBarTextColor
| attribute

specifies the text color of menu bars

## ◆ MenuBorderColor

::com::sun::star::util::Color MenuBorderColor
| attribute

specifies the border color of menus

## ◆ MenuColor

::com::sun::star::util::Color MenuColor
| attribute

## ◆ MenuFont

FontDescriptor MenuFont
| attribute

specifies the font to use for menus

## ◆ MenuHighlightColor

::com::sun::star::util::Color MenuHighlightColor
| attribute

specifies the background color of highlighted menu items

## ◆ MenuHighlightTextColor

::com::sun::star::util::Color MenuHighlightTextColor
| attribute

specifies the text color of highlighted menu items

## ◆ MenuTextColor

::com::sun::star::util::Color MenuTextColor
| attribute

## ◆ MonoColor

::com::sun::star::util::Color MonoColor
| attribute

specifies the color to use for monochrome control elements such as flat borders of controls

## ◆ PushButtonFont

FontDescriptor PushButtonFont
| attribute

specifies the font of push buttons

## ◆ RadioCheckFont

FontDescriptor RadioCheckFont
| attribute

specifies the font of radio buttons and check boxes

## ◆ RadioCheckTextColor

::com::sun::star::util::Color RadioCheckTextColor
| attribute

specifies the text color of radio buttons and check boxes

## ◆ SeparatorColor

::com::sun::star::util::Color SeparatorColor
| attribute readonly

specifies the color of separators between UI elements

## ◆ ShadowColor

::com::sun::star::util::Color ShadowColor
| attribute

specifies the color to use for UI elements

## ◆ TitleFont

FontDescriptor TitleFont
| attribute

specifies the font to use for window titles

## ◆ ToolFont

FontDescriptor ToolFont
| attribute

specifies the font to use for tool elements

## ◆ WindowColor

::com::sun::star::util::Color WindowColor
| attribute

specifies the background color to use for non-dialog windows

## ◆ WindowTextColor

::com::sun::star::util::Color WindowTextColor
| attribute

specifies the text color to use for non-dialog windows

## ◆ WorkspaceColor

::com::sun::star::util::Color WorkspaceColor
| attribute

specifies the background color to use for document workspaces

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XStyleSettings.idl